/*
 *   MODULE : p88cfg.h
 *   contains definitions which are local, but used by sysutil.c and
 *   p88cfg.c, because both of them handle the environment-file;
 *
{*  last modification:  17.12.91  14:49   }
 *  uli 05.03.91 : uppercase names are now defined in defs.h
 *  uli 26.07.91 : patterns added.
 *  uli 30.07.91 : sysenv added.
 *  uli 17.12.91 : namelength moved to sysutil.h
*/


local   char    comment []  = "patch-area:" ;
local   int     pathchar    = PATHchar ; /* separates pathname and filename */
local   char    point       = POINT ;   /* separates filename and extension */

	char    sysdir [64] = SYSdir ;     /* may be patched */
local   char    usrdir [64] = USRdir ;     /* "   "  ", prefixed by $HOME */
local   char    envfnam[16] = ENVfnam ;    /* "   "  "       */
	char   patterns[16] = PATtern  ;   /* "   "  "       */
	char   linkinfo[16] = LINKinfo ;   /* "   "  "       */
local   char    rtifnam[16] = RTIfnam ;    /* "   "  "       */
					   /* end of patch area */


/* default-values of file name extensions; normally overridden by p88.env */
local   char *  srcfext = SRCfext ;
local   char *  codfext = CODfext ;
local   char *  dclfext = DCLfext ;
local   char *  intfext = INTfext ;
local   char *  lstfext = LSTfext ;
local   char *  dmpfext = DMPfext ;
local   char *  modfext = MODfext ;       /* same as intfext */
local   char *  objfext = OBJfext ;       /* objektfile extension -> linker */
local   char *  libfext = LIBfext ;       /* library extension -> linker */
local   char *  exefext = EXEfext ;       /* executable file */


local   char *  findmod = sysdir ;    /* path to interface-files */
local   char *  sysenv  = NULL   ;    /* value of envir.var. P88SYS */
local   char *  runtime = sysdir ;    /* path to file p88rts.i */
